package com.liquidnet.service.goblin.dto.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;
import java.math.BigDecimal;

@Data
public class GoblinMixDetailsItemVo implements Serializable, Cloneable {
    @ApiModelProperty(value = "spuId")
    private String spuId;
    @ApiModelProperty(value = "skuId")
    private String skuId;
    @ApiModelProperty(value = "sku名称")
    private String skuName;
    @ApiModelProperty(value = "sku原价")
    private BigDecimal skuPrice;
    @ApiModelProperty(value = "总库存")
    private Integer stock;
    @ApiModelProperty(value = "可配置库存")
    private Integer surplusStock;

    @ApiModelProperty(value = "组合价格")
    private BigDecimal price;
    @ApiModelProperty(value = "苹果价格")
    private BigDecimal priceV;
    @ApiModelProperty(value = "苹果价格id")
    private String productId;
    @ApiModelProperty(value = "组合件数[数字藏品不能大于1]")
    private Integer count;
    @ApiModelProperty(value = "是否支持退款[0-否|1-是]")
    private Integer canRefund;

    private static final GoblinMixDetailsItemVo obj = new GoblinMixDetailsItemVo();

    public static GoblinMixDetailsItemVo getNew() {
        try {
            return (GoblinMixDetailsItemVo) obj.clone();
        } catch (CloneNotSupportedException e) {
            e.printStackTrace();
        }
        return new GoblinMixDetailsItemVo();
    }
}
